IF OBJECT_ID('EST_PROD_CEST_CADASTRO') IS NULL
	BEGIN 
		CREATE TABLE [dbo].[EST_PROD_CEST_CADASTRO](      
			[NR_CEST] [varchar](50) NOT NULL,
			[DS_CEST] [varchar](1000) NULL,
			[TIPO_PRODUTO_MEDICAMENTO] [int] NULL,
			[LISTA_PROD] [int] NULL,
			[CD_USU] [int] NULL,
			[DT_CAD] [datetime] NULL,
			[DT_ULT_ALT] [datetime] NULL,
		 CONSTRAINT [PK_EST_PROD_CEST_CADASTRO] PRIMARY KEY CLUSTERED 
		(
			[NR_CEST] ASC
		)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
		) ON [PRIMARY]

		ALTER TABLE [dbo].[EST_PROD_CEST_CADASTRO] ADD  CONSTRAINT [DF_Table_2_TIPO_PRODUTO_MEDICAMENTO]  DEFAULT ((4)) FOR [TIPO_PRODUTO_MEDICAMENTO]
	

		ALTER TABLE [dbo].[EST_PROD_CEST_CADASTRO] ADD  CONSTRAINT [DF_Table_2_LISTA_PROD]  DEFAULT ((4)) FOR [LISTA_PROD]
		

		ALTER TABLE [dbo].[EST_PROD_CEST_CADASTRO]  WITH CHECK ADD  CONSTRAINT [FK_EST_PROD_CEST_CADASTRO_GLB_USU] FOREIGN KEY([CD_USU])
		REFERENCES [dbo].[GLB_USU] ([CD_USU])
		

		ALTER TABLE [dbo].[EST_PROD_CEST_CADASTRO] CHECK CONSTRAINT [FK_EST_PROD_CEST_CADASTRO_GLB_USU]
		

	END
